Package net.snowflake.client.jdbc

## Class SnowflakeUseDPoPNonceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.snowflake.client.jdbc.SnowflakeUseDPoPNonceException

All Implemented Interfaces:
  `Serializable`

    @SnowflakeJdbcInternalApi
    public class SnowflakeUseDPoPNonceException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SnowflakeUseDPoPNonceException​(String nonce)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getNonce()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnowflakeUseDPoPNonceException

    public SnowflakeUseDPoPNonceException​(String nonce)

### Method Detail

#### getNonce

    public String getNonce()